//
// Display.h
//
// $Id: PyDisplay.h,v 1.1 2001/03/29 20:58:53 erickson Exp $
//
//
//
#ifndef _PyDisplay_h_
#define _PyDisplay_h_

#include "Display.h"
#include "ResultList.h"
#include "ResultMatch.h"
#include "TemplateList.h"
#include "cgi.h"
#include "StringMatch.h"
#include "List.h"
#include "DocumentDB.h"
#include "Database.h"
#include "Dictionary.h"
#include "Python.h"

class PyDisplay : public Display
{
public:
    //
    // Construction/Destruction
    //
    PyDisplay(char *indexFile, char *docFile);
    ~PyDisplay();

    void		display(PyObject* pVarsList,
		                PyObject* pHitList, int pageNumber);
    int 		addMatchToList(PyObject* pList, ResultMatch *match, 
		    		int current);

    // Methods to put data into a python dictionary
    int 		putStringInDict(PyObject* pDict, 
		        	const char* sKey, const char* sValue);
    int 		putStringInDict(PyObject* pDict, 
		        	const char* sKey, String* sValue);
    int 		putLongInDict(PyObject* pDict, 
		        	const char* sKey, long lValue);
    int 		putFloatInDict(PyObject* pDict, 
		        	const char* sKey, const double fValue);
	
protected:

    //
    // Methods...
    //
    void		setVariables(PyObject* pList, int, List *);
};


#endif

