from distutils.core import setup, Extension

# make sure that the libhtsearch.a library has been built before running this script.

libraries=["htsearch", "stdc++", "common", "ht", "db", "z", "fuzzy"]
library_dirs=["../htlib", "../htfuzzy", "../htcommon", "../db/dist", "/usr/lib", "."]
include_dirs=["../htlib", "../htcommon", "../include", "../htsearch"]
c_files = ["pysearch.cc", "PyDisplay.cc", "HtSearchFuncs.cc"] 
define_macros=[	("DEFAULT_CONFIG_FILE", '"/opt/www/htdig/conf/htdig.conf"') ]

setup(name = "pysearch", version = "1.0",
    ext_modules = [Extension("pysearch", c_files, 
       include_dirs=include_dirs,
       libraries=libraries,
       library_dirs=library_dirs,
       define_macros=define_macros
       )])

